These are chat archives for machinekit/machinekit

1st
Jul 2016
zhivko
@zhivko
Jul 01 2016 07:13
No... you are right - here is link to my smingrtos repo and minimal zmq try https://github.com/zhivko/SmingRTOS/blob/master/samples/StepperDM542/app/application.cpp#L202-L203
zhivko
@zhivko
Jul 01 2016 12:10

Hey guys - I am trying to use @strahlex hal-graph on BBB. However I am getting this:

machinekit@beaglebone:~$ ~/git/machinekit/scripts/hal-graph 

(process:4642): Gtk-WARNING **: Locale not supported by C library.
    Using the fallback 'C' locale.
Gtk-Message: Failed to load module "canberra-gtk-module"
Traceback (most recent call last):
  File "/home/machinekit/git/machinekit/scripts/hal-graph", line 46, in <module>
    import xdot
  File "/usr/local/lib/python2.7/dist-packages/xdot.py", line 33, in <module>
    from gi.repository import GLib
  File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line 39, in <module>
    raise ImportError(_static_binding_error)
ImportError: When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject". See: https://bugzilla.gnome.org/show_bug.cgi?id=709183

anybody have idea what could be wrong...

zhivko
@zhivko
Jul 01 2016 13:40

it seems:

try:
    from gi.repository import GLib as glib
except ImportError:
    import glib
try:
    from gi.repository import GObject as gobject
except ImportError:
    import gobject

fixes this error...